
local OIUtil = import('/mods/OllosInterface/libs/oiutil.lua')
local Bitmap = import('/lua/maui/bitmap.lua').Bitmap

function SetLayout()
    local controls = import('/lua/ui/game/orders.lua').controls
    
    controls.bg:SetTexture(OIUtil.getImage('orders_horizontal'))
    --controls.bg:SetTexture(UIUtil.SkinnableFile('/game/orders_bmp/orders_bmp.dds'))
    LayoutHelpers.AtRightIn(controls.bg, controls.controlClusterGroup, -1)
    LayoutHelpers.AtBottomIn(controls.bg, controls.controlClusterGroup, 0)
    --LayoutHelpers.AtRightBottomIn(controls.bg, controls.controlClusterGroup, -5, 0)
    --LayoutHelpers.AtRightBottomIn(controls.bg, controls.controlClusterGroup, 0, 0)
    --LayoutHelpers.ResetLeft(controls.bg)
    --LayoutHelpers.ResetBottom(controls.bg)
    controls.bg:Show()

    --controls.orderButtonGrid.Width:Set(GameCommon.iconWidth * horzCols)
    --controls.orderButtonGrid.Height:Set(GameCommon.iconHeight * horzRows)
    --LayoutHelpers.AtCenterIn(controls.orderButtonGrid, controls.bg, 0, -1)
    controls.orderButtonGrid.Width:Set(47 * horzCols)
    controls.orderButtonGrid.Height:Set(47 * horzRows)
    LayoutHelpers.AtLeftTopIn(controls.orderButtonGrid, controls.bg, 10, 10)
    controls.orderButtonGrid:AppendRows(horzRows)
    controls.orderButtonGrid:AppendCols(horzCols)
    controls.orderButtonGrid:Show()
    
    if not controls.shadowTop then 
	    controls.shadowTop = Bitmap(controls.bg, OIUtil.getImage('shadow_top'))
	    controls.shadowTop.Bottom:Set(function() return controls.bg.Top() end)
	    controls.shadowTop.Left:Set(function() return controls.bg.Left() + 2 end)
	    controls.shadowTop.Right:Set(function() return controls.bg.Right() end)
    end
    
    if not controls.shadowLeft then 
	    controls.shadowLeft = Bitmap(controls.bg, OIUtil.getImage('shadow_left'))
	    controls.shadowLeft.Right:Set(function() return controls.bg.Left() + 2 end)
	    controls.shadowLeft.Top:Set(function() return controls.bg.Top() end)
	    controls.shadowLeft.Bottom:Set(function() return controls.bg.Top() + 52 end)
    end
    
    if not controls.shadowTopLeft then
	    controls.shadowTopLeft = Bitmap(controls.bg, OIUtil.getImage('shadow_topleft'))
	    controls.shadowTopLeft.Right:Set(function() return controls.bg.Left() + 2 end)
	    --controls.shadowTopLeft.Top:Set(function() return controls.bg.Top() + 2 end)
	    controls.shadowTopLeft.Bottom:Set(function() return controls.bg.Top() end)
    end
    
    controls.bg.Mini = function(state)
        controls.bg:Show()
        controls.orderButtonGrid:Show()
    end
end




