



--* Initialize the UI states, this is always called on startup
function SetupUI()
    
    -- SetCursor needs to happen anytime this function is called because we
    -- could be switching lua states.
    local c = UIUtil.CreateCursor()
    SetCursor( c )

    -- the rest of this function only needs to run once to set up the globals, so 
    -- don't do it again if not needed
    if alreadySetup then return end
    alreadySetup = true

    --UIUtil.currentLayout = Prefs.GetFromCurrentProfile('layout') or 'bottom'
    UIUtil.currentLayout = 'bottom'
    local skin = Prefs.GetFromCurrentProfile('skin')
    UIUtil.SetCurrentSkin(skin or 'default')    -- default skin to start

    UIUtil.consoleDepth = 5000000 -- no UI element should depth higher than this!
end
