
local OIUtil = import('/mods/OllosInterface/libs/oiutil.lua')

local devKeyMap = {
    ['F10'] 			= {action = 'lua RestartSession()',},
    ['CTRL-F10'] 		= {action = "UI_Lua import('/mods/OllosInterface/libs/OIUtil.lua').rotateLayout()",},
	['CTRL-F9']         = {action = 'SC_LuaDebugger',},
	['Alt-LeftArrow']	= {action = "UI_Lua import('/mods/OllosInterface/libs/OIUtil.lua').rotateSkin(1)",},
	['Alt-RightArrow']	= {action = "UI_Lua import('/mods/OllosInterface/libs/OIUtil.lua').rotateSkin(-1)",},
}

local originalCreateUI = CreateUI
function CreateUI(isReplay)
   
   -- do my stuff here
   LOG('OI: init stuff executed now!')
   IN_AddKeyMapTable(devKeyMap)
   
   -- call the original function first to set up the UI
   originalCreateUI(isReplay)
   
   OIUtil.initLayout()
   
end

--[[
local originalSetLayout = SetLayout
function SetLayout(layout)
	
	originalSetLayout('bottom')
	    
end
--]]